Skip to main content
`Ctrl`+`K`

# SNESGetOptionsPrefix

Gets the prefix used for searching for all `SNES` options in the database.

## Synopsis

    #include "petscsnes.h"
    #include "petscsnes.h"
    PetscErrorCode SNESGetOptionsPrefix(SNES snes, const char *prefix[])

Not Collective

## Input Parameter

- snes - the `SNES` context

## Output Parameter

- prefix - pointer to the prefix string used

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESSetOptionsPrefix()`, `SNESAppendOptionsPrefix()`

## Level

advanced

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages